# Method: projects.locations.phraseSets.delete

- [HTTP request](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.phraseSets/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.phraseSets/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.phraseSets/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.phraseSets/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.phraseSets/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.phraseSets/delete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.phraseSets/delete#body.aspect_1)

Deletes the `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.phraseSets#PhraseSet`.

### HTTP request

`DELETE https://speech.googleapis.com/v2/{name=projects/*/locations/*/phraseSets/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the PhraseSet to delete. Format: `projects/{project}/locations/{location}/phraseSets/{phraseSet}` |

### Query parameters

| Parameters ||
|---|---|
| `validateOnly` | `boolean` If set, validate the request and preview the deleted PhraseSet, but do not actually delete it. |
| `allowMissing` | `boolean` If set to true, and the PhraseSet is not found, the request will succeed and be a no-op (no Operation is recorded in this case). |
| `etag` | `string` This checksum is computed by the server based on the value of other fields. This may be sent on update, undelete, and delete requests to ensure the client has an up-to-date value before proceeding. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `speech.phraseSets.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).